#-----------------------------------------------------------------------------

require 'sketchup.rb'

#-----------------------------------------------------------------------------

module TT_PickTest
	
	unless file_loaded?('tt_picktest.rb')
	# Menus
	menu = UI.menu('Plugins')
	menu.add_item('Pick Test')	{ Sketchup.active_model.select_tool( PickTest.new ) }
	end
	
	class PickTest

		def onLButtonUp(flags, x, y, view)
			ph = view.pick_helper(x, y)
			puts "view.pick_helper(x, y): #{ph.best_picked}"
			
			ph.do_pick(x, y)
			puts "ph.do_pick(x, y) - best_picked: #{ph.best_picked}"
      
      p ph.all_picked
      
      range = 0...ph.count
      
      puts "> Paths:"
      for i in range
        p ph.path_at(i)
      end
      
      puts "> Leaves:"
      for i in range
        p ph.leaf_at(i)
      end
      
      puts "> Element:"
      for i in range
        p ph.element_at(i)
      end
      
      puts "> Transformation:"
      for i in range
        p ph.transformation_at(i)
      end
		end
		
	end # class

end # module

#-----------------------------------------------------------------------------
file_loaded('tt_picktest.rb')
#-----------------------------------------------------------------------------